from django.db import models

class Artist(models.Model):
    artist_name = models.TextField()
    monthly_listeners = models.IntegerField()

class Album(models.Model):
    album_name = models.TextField()
    artist = models.ForeignKey(Artist, on_delete=models.CASCADE)
    description = models.TextField()
    release_date = models.DateField()

class Song(models.Model):
    song_title = models.TextField()
    artist = models.ForeignKey(Artist, on_delete=models.CASCADE)
    album = models.ForeignKey(Album, on_delete=models.CASCADE)
    song_length = models.IntegerField()
